{% extends "gc/basepage.html" %}

{% block head %}
    <style>
        #search-text{background-color:rgba(0,0,0,0);color:#fff;border:1px solid;outline:0;height:30px;transition:height 1s;-webkit-transition:height 1s}#search-text:focus{height:50px;font-size:16px}i{cursor:pointer}#ul-footer{overflow:auto;height:150px;margin-top:30px}#ul-footer a{color:#fff}#mobile_search{cursor:pointer}#advanced_search{cursor:pointer}.ui-autocomplete{background-color:#fff;overflow-y:scroll;max-height:400px;width:200px;list-style-type:none}.ui-autocomplete li{background-color:#fff;text-align:right;cursor:pointer;height:30px;padding:5px}.ui-autocomplete li div{color:#000;cursor:pointer;font-size:11px}.ui-autocomplete li div:hover{color:#f05f40}
    </style>
{% endblock %}

{% block content %}

    <header id="header" class="masthead text-center text-white d-flex">
        <div class="container my-auto">
            <div class="row">
                <div class="col-lg-10 mx-auto">
                    <h1 class="text-uppercase">
                        <p class="font-size">گوشی چند</p>
                        <p class="font-size">جستجوگر هوشمند گوشی موبایل</p>
                    </h1>
                    <hr>
                </div>
                <div class="mx-auto">
                    <p class="with-number text-faded mb-5 font-size">مدل گوشی موبایل خود را در بین بیش از 30 فروشگاه موبایل جستجو نمایید</p>

                    <div class="box-centered">
                        <div class="input-group">
                            <input id="search-text" class="form-control font-size" placeholder="مدل گوشی...">
                        </div>
                    </div>

                    <br><a id="mobile_search" class="btn btn-primary btn-xl js-scroll-trigger font-size">چند؟</a>
                    <br><br><p id="advanced_search" class="font-size">جستجوی پیشرفته</p>
                    <div class="js-scroll-trigger font-size">بر اساس فیلترهای برند، سیستم عامل، سال ساخت، سایز، حافظه، رم، تراکم پیکسل، دوربین، فرکانس و هسته پردازنده و...</div>
                </div>
            </div>
        </div>
    </header>

    <section class="bg-primary" id="about">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 mx-auto text-center">
                    <h2 class="section-heading text-white font-size">مشاهده قیمت تمامی فروشگاه‌ها در یک قاب</h2>
                    <hr class="light my-4">
                    <p class="text-faded mb-4 font-size">گشتن در وب سایت‌ها به دنبال گوشی مورد نظر خودتون کار سختیه ؟</p>
                    <p class="text-faded mb-4 font-size">فقط مدل گوشیت رو جستجو کن تا تمام فروشگاه‌ها رو یکجا داشته باشی</p>
                    <a class="btn btn-light btn-xl js-scroll-trigger font-size" href="#header">بزن بریم</a>
                </div>
            </div>
        </div>
    </section>

    <section id="services">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 text-center">
                    <h2 class="section-heading font-size">خدمات وب‌سایت</h2>
                    <hr class="my-4">
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-lg-3 col-md-6 text-center">
                    <div class="service-box mt-5 mx-auto">
                        <i class="fa fa-4x fa-mobile-phone text-primary mb-3 sr-icons"></i>
                        <p class="text-muted mb-0 font-size">نمایش یک مدل در فروشگاه‌های مختلف</p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 text-center">
                    <div class="service-box mt-5 mx-auto">
                        <i class="fa fa-4x fa-shopping-cart text-primary mb-3 sr-icons"></i>
                        <p class="text-muted mb-0 font-size">نمایش تمامی مدل‌های یک فروشگاه</p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 text-center">
                    <div class="service-box mt-5 mx-auto">
                        <i class="fa fa-4x fa-search text-primary mb-3 sr-icons"></i>
                        <p class="text-muted mb-0 font-size">جستجوی مدل گوشی با ویژگی‌های مورد نظر</p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 text-center">
                    <div class="service-box mt-5 mx-auto">
                        <i class="fa fa-4x fa-heart text-primary mb-3 sr-icons"></i>
                        <p class="text-muted mb-0 font-size">ورود به وب سایت برای خرید</p>
                    </div>
                </div>
            </div>
        </div>
    </section>

{% endblock %}

{% block jsscript %}
    <script>
        const advancedSearch=$("#advanced_search"),mobileSearch=$("#mobile_search"),searchText=$("#search-text");advancedSearch.click(function(){window.open("/filterbyspec/?sort=سال","_self")}),mobileSearch.click(function(){let e=searchText.val();""!==e&&(e=e.replace(/ /g,"_"),window.open("/items/?model="+e,"_self"))}),searchText.keypress(function(e){let a=searchText.val();13===e.which&&""!==a&&(a=a.replace(/ /g,"_"),window.open("/items/?model="+a,"_self"))});let availableTags=JSON.parse("{{ titles|escapejs }}");searchText.autocomplete({source:availableTags});
    </script>
{% endblock %}
